package com.sheep.gamegroup.model.entity;

/**
 * @ Created by Dlg
 * @ <p>TiTle:  DownloadStatus</p>
 * @ <p>Description: 下载状态统一Event，以前是TaskEvent分离的</p>
 * @ date:  2017/6/12 11:58
 * @ QQ:    315096953
 */

public class DownloadStatus {

    //DownloadTaskService 和这里的STATUS_同步
    private int status;

    private int downloadPgrs;

    private int gameId;

    private String apkPath;

    private String message;

    private String downloadUrl;

    private int downloadId;

    private double fileTotalSize;
    private double fileDownloadedSize;

    private float downloadSpeed;


    public int getGameId() {
        return gameId;
    }

    public void setGameId(int gameId) {
        this.gameId = gameId;
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    public int getDownloadId() {
        return downloadId;
    }

    public void setDownloadId(int downloadId) {
        this.downloadId = downloadId;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getStatus() {
        return status;
    }

    /**
     * DownloadTaskService.STATUS_ 下面的状态
     *
     * @param status
     */
    public void setStatus(int status) {
        this.status = status;
    }

    public int getDownloadPgrs() {
        return downloadPgrs;
    }

    public void setDownloadPgrs(int downloadPgrs) {
        this.downloadPgrs = downloadPgrs;
    }


    public String getApkPath() {
        return apkPath;
    }

    public void setApkPath(String apkPath) {
        this.apkPath = apkPath;
    }


    public double getFileTotalSize() {
        return fileTotalSize;
    }

    public void setFileTotalSize(double fileTotalSize) {
        this.fileTotalSize = fileTotalSize;
    }

    public double getFileDownloadedSize() {
        return fileDownloadedSize;
    }

    public void setFileDownloadedSize(double fileDownloadedSize) {
        this.fileDownloadedSize = fileDownloadedSize;
    }

    public float getDownloadSpeed() {
        return downloadSpeed;
    }

    public void setDownloadSpeed(float downloadSpeed) {
        this.downloadSpeed = downloadSpeed;
    }

    @Override
    public String toString() {
        StringBuilder strBuilder = new StringBuilder();
        strBuilder.append("status#").append(status);
        strBuilder.append(",downloadPgrs#").append(this.downloadPgrs);
        strBuilder.append(",apkPath#").append(apkPath);
        strBuilder.append(",message#").append(message);
        return strBuilder.toString();
    }
}
